Subject: Re: bug#23269: MirBSD 10 i386 test failures [Re: grep-2.24.13-bed6 feedback

From: Jim Meyering <[email-masked]>
Date: Mon, 18 Apr 2016 08:00:08 -0700

On Sun, Apr 17, 2016 at 11:49 PM,  <[email-masked]> wrote:
> Hi All.
>
> Note that MirBSD's libc is badly broken. Even when LC_ALL=C MB_CUR_MAX
> can be > 1. And perhaps other severe departures from reality.
>
> There is code in gawk to deal with it - you can look at the gawk 4.1.3
> tarball and various bits in the C code for LIBC_IS_BORKED (or some such).
>
> For the next major release (gawk's master branch, no timeframe yet) I
> removed all that code because it was exceedingly ugly and I think that
> Nelson is the only one in the world who attempts to build gawk on MirBSD.
>
> While this is admirable on his part, I finally decided that I didn't want
> the headache of maintaining those changes.
>
> So - Caveat Emptor; you may be twisting your code base for the benefit
> of just a single system that's WAAAY out in left field.

Thanks for the heads up, Arnold.
Note that so far, none of the changes we're considering
are to the core parts of grep. Rather, they affect only
the portability layers provided by gnulib. As such,
any change we go with is likely to have no impact
on any system other than MirBSD or some
other system that has the same type of defect.

However, given that its mbrtowc function exhibits
the same problem, I'm inclined to write it off.